Enrichment

Enrich Companies

POST/v1/enrich/company
POST
/v1/enrich/company

Enrich companies by domain, website URL, company ID, or LinkedIn URL Maximum 100 allowed

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

company_domainarray<string>

Company domains to enrich (max 100)

Example: ["acme.com"]

company_websitearray<string>

Company website URLs to enrich (max 100)

Example: ["https://acme.com"]

company_idarray<number>

Company IDs to enrich (max 100)

Example: [12345]

linkedin_urlarray<string>

LinkedIn company URLs to enrich (max 100)

Example: ["https://linkedin.com/company/acme"]

webhook_urlstring

Webhook URL to call when enrichment completes

Responses

200
Enrichment job created. Returns a requestId to track progress.
{
  "message": "Success",
  "payload": {
    "requestId": "64f1a2b3c4d5e6f7a8b9c0d1"
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/enrich/company" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "company_domain": [
    "acme.com"
  ],
  "company_website": [
    "https://acme.com"
  ],
  "company_id": [
    12345
  ],
  "linkedin_url": [
    "https://linkedin.com/company/acme"
  ],
  "webhook_url": "string"
}'

Response

No response body